NetworkCloudlet (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.network.datacenter

## Class NetworkCloudlet

- java.lang.Object
- - org.cloudbus.cloudsim.Cloudlet
  - - org.cloudbus.cloudsim.network.datacenter.NetworkCloudlet

- All Implemented Interfaces:
    Comparable<Object>

      public class NetworkCloudlet
      extends Cloudlet
      implements Comparable<Object>

  NetworkCloudlet class extends Cloudlet to support simulation of complex applications. Each such network Cloudlet represents a task of the application. Each task consists of several stages. Please refer to following publication for more details: Saurabh Kumar Garg and Rajkumar Buyya, NetworkCloudSim: Modelling Parallel Applications in Cloud Simulations, Proceedings of the 4th IEEE/ACM International Conference on Utility and Cloud Computing (UCC 2011, IEEE CS Press, USA), Melbourne, Australia, December 5-7, 2011.
  Since:
    CloudSim Toolkit 1.0
  Author:
    Saurabh Kumar Garg

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `currStagenum`
    `double` | `exetime`
    `double` | `finishtime`
    `double` | `numStage`
    `ArrayList<TaskStage>` | `stages`
    `double` | `starttime`
    `double` | `submittime`
    `Map<Double,HostPacket>` | `timeCommunicate`
    `double` | `timespentInStage`
    `double` | `timetostartStage`

    - ### Fields inherited from class org.cloudbus.cloudsim.Cloudlet

      `accumulatedBwCost, CANCELED, costPerBw, CREATED, FAILED, FAILED_RESOURCE_UNAVAILABLE, INEXEC, PAUSED, QUEUED, READY, RESUMED, SUCCESS, vmId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkCloudlet(int cloudletId, long cloudletLength, int pesNumber, long cloudletFileSize, long cloudletOutputSize, long memory, UtilizationModel utilizationModelCpu, UtilizationModel utilizationModelRam, UtilizationModel utilizationModelBw)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object arg0)`
    `double` | `getSubmittime()`

    - ### Methods inherited from class org.cloudbus.cloudsim.Cloudlet

      `addRequiredFile, deleteRequiredFile, getActualCPUTime, getActualCPUTime, getAllResourceId, getAllResourceName, getClassType, getCloudletFileSize, getCloudletFinishedSoFar, getCloudletFinishedSoFar, getCloudletHistory, getCloudletId, getCloudletLength, getCloudletOutputSize, getCloudletStatus, getCloudletStatusString, getCloudletTotalLength, getCostPerSec, getCostPerSec, getExecStartTime, getFinishTime, getNetServiceLevel, getNumberOfPes, getProcessingCost, getRequiredFiles, getReservationId, getResourceById, getResourceId, getResourceName, getStatus, getStatusString, getSubmissionTime, getSubmissionTime, getUserId, getUtilizationModelBw, getUtilizationModelCpu, getUtilizationModelRam, getUtilizationOfBw, getUtilizationOfCpu, getUtilizationOfRam, getVmId, getWaitingTime, getWallClockTime, getWallClockTime, hasReserved, isFinished, requiresFiles, setClassType, setCloudletFinishedSoFar, setCloudletLength, setCloudletStatus, setExecParam, setExecStartTime, setNetServiceLevel, setNumberOfPes, setRequiredFiles, setReservationId, setResourceParameter, setResourceParameter, setSubmissionTime, setUserId, setUtilizationModelBw, setUtilizationModelCpu, setUtilizationModelRam, setVmId, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### submittime

          public double submittime

    - #### finishtime

          public double finishtime

    - #### exetime

          public double exetime

    - #### numStage

          public double numStage

    - #### currStagenum

          public int currStagenum

    - #### timetostartStage

          public double timetostartStage

    - #### timespentInStage

          public double timespentInStage

    - #### timeCommunicate

          public Map<Double,HostPacket> timeCommunicate

    - #### stages

          public ArrayList<TaskStage> stages

    - #### starttime

          public double starttime

  - ### Constructor Detail

    - #### NetworkCloudlet

          public NetworkCloudlet(int cloudletId,
                         long cloudletLength,
                         int pesNumber,
                         long cloudletFileSize,
                         long cloudletOutputSize,
                         long memory,
                         UtilizationModel utilizationModelCpu,
                         UtilizationModel utilizationModelRam,
                         UtilizationModel utilizationModelBw)

  - ### Method Detail

    - #### compareTo

          public int compareTo(Object arg0)

      Specified by:
        `compareTo` in interface `Comparable<Object>`

    - #### getSubmittime

          public double getSubmittime()

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.